Details

    • Type: Bug
    • Status: Closed
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 7.x-1.6
    • Fix Version/s: 7.x-1.7
    • Component/s: Tuque API
    • Labels:
      None

      Description

      When trying to enable modules an error was generated. This was on a more advanced PHP than usual (PHP 5.5.9):

      PHP Fatal error: Nesting level too deep - recursive dependency? in ...libraries/tuque/Object.php on line 562

      Moving to a strict object equality check prevents the recursion.

      Steps to Reproduce:
      Try to enable solution packs on PHP 5.5.9.
      Note that the enable fails with the indicated error.

      Test Case:
      Apply fix.
      Try to enable solution packs on PHP 5.5.9.
      Enable succeeds.


      William Panting
      Developer
      discoverygarden inc. | Managing Digital Content

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              willtp87 William Panting
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: